Using the Macromedia Extension Manager

The Macromedia Extension Manager provides an easy and convenient way to install and delete extensions in Macromedia applications, and to find information about extensions you’ve installed. It also provides a convenient way to navigate to the Macromedia Exchange site, where you can find more extensions, get information about extensions, and rate extensions that you’ve used.

Note: The Extension Manager only displays extensions that are installed using the Extension Manager. Extensions that are installed using a third-party installer or local changes that you or someone else has made to your configuration files will not automatically appear in the Extension Manager.

This document contains the following sections:

About extensions

Installing extensions

Managing extensions

Installing and managing extensions in multiuser environments

Next


About extensions

An extension is a piece of software that can be added to a Macromedia application to enhance the application’s capabilities. Macromedia offers several types of extensions. For example, Macromedia Dreamweaver extensions can include HTML code that can be added to the Insert bar and Insert menu, and JavaScript commands that can be added to the Command menu. They can also include new behaviors, Property inspectors, and floating panels. Macromedia Flash extensions include components that you can use to build projects, templates for designing Flash content, reusable ActionScript code snippets, additional symbol libraries, and more. Macromedia Fireworks extensions include everything from styles created by other users for the Styles palette, to Textures, Filters, Patterns, and Libraries. All Macromedia applications that support the Extension Manager can use font extensions that install a font on a computer.

The Macromedia Exchange website at www.macromedia.com/go/exchange is a repository for many types of extensions. Some extensions on the Macromedia Exchange website are created by Macromedia and some are created by other developers. If you find a non-commercial extension you’re interested in, you can download it using your web browser and then install it in an application using the Extension Manager. Some extensions on the Exchange are commercial and cannot be downloaded immediately; the download link will redirect you to the author’s website so you can obtain purchasing information.


Installing extensions

You can use the Extension Manager to install extensions.

Note: If you are installing extensions in a multiuser operating system, such as Windows XP or Mac OS X, see also Installing and managing extensions in multiuser environments.

Start by obtaining the extension you want to install. For example, if you find an extension you’re interested in on the Macromedia Exchange site, you can download the extension file using a web browser. The extension filename ends with the .mxp file extension. This packaged extension file contains all the files you need to install and use the extension.

To save an extension you download:

  1. Click the extension’s link on the Macromedia Exchange website to begin the download.
  2. Save the extension in the Downloaded Extensions folder in the Extension Manager application folder.
  3. Install the extension by doing one of the following:
    • Select File > Install Extension in the Extension Manager.
    • Browse to the saved file in the Downloaded Extensions folder and double-click the file’s icon.

To install an extension:

  1. Start the Extension Manager using one of these methods:
    • Double-click the extension file in Windows Explorer (Windows) or in the Finder (Macintosh).
    • In Dreamweaver, Flash, or Fireworks, select Help > Manage Extensions.
    • In Windows, select Macromedia > Macromedia Extension Manager from the Start menu.
    • On the Macintosh, double-click the Extension Manager icon in the Applications/Macromedia Extension Manager folder.
  2. From the Product pop-up menu in the Extension Manager toolbar, select a Macromedia product into which you want to install the extension.
  3. Select File > Install Extension in the Extension Manager.
  4. In the file-selection dialog box that appears, select an extension file ending with the .mxp suffix, and click Install.
  5. Read the Macromedia extensions disclaimer and any third-party extension license that may be included.

    Select Accept to continue with the installation, or select Decline to cancel the installation.

  6. If you already have another version of the extension installed, or another extension with the same name, the Extension Manager asks if you want to disable the one that’s already installed.

    Select Yes to replace the previously installed extension with the new extension, or No to cancel the installation and leave the existing extension in place.

  7. If you’re asked if you would like to replace one or more existing files, select Yes or Yes to All to accept the version or versions included in the extension, or No to keep the current version of that file.

    If you click Cancel, the installation will be cancelled and no files will be installed or replaced.

If the Extension Manager doesn’t encounter any problems, it informs you that the extension has been successfully installed.

Note: For some types of extensions, you must close and then restart the application for the changes to take effect.

Installing an extension installs the extension in a compatible application, if any such application is currently running. For example, if an extension is defined for Flash MX 2004, and Flash 8 is currently running, the extension will be installed into Flash 8. If no version of the application is currently running, the extension is automatically installed into the most recent, compatible product.

If an extension modifies a configuration file such as menus.xml, the Extension Manager creates a backup of the affected configuration file (for example, menus.xbk) before installing the extension. In the unlikely event that the configuration file is damaged by the extension, you can restore it with the backup file.

Caution: Macromedia recommends that you not modify configuration files by hand. Incorrectly modifying them manually can cause significant portions of the product to fail and prevent the installation of other extensions. Configuration files should only be modified by the Extension Manager.


Managing extensions

The first time you launch the Extension Manager, it searches for previously installed extensions and displays them. These extensions are disabled by default. You can enable any extension by clicking the On/Off checkbox.

Note: The information about installed extensions is stored the Configuration/Extensions folder in the Extension Manager application folder. If you delete this folder, the information is recreated the next time you launch the Extension Manager.

You can perform any of the following tasks with the Extension Manager to manage your extensions:

  • Sort installed extensions
  • Enable and disable installed extensions
  • Remove extensions
  • Go to the Macromedia Exchange
  • Package and submit new extensions
  • Obtain support information for an extension

This section describes how to perform each of these tasks.

To sort installed extensions:

  • In the Extension Manager, click a column heading such as Version, Type, or Author.

    For example, to sort alphabetically by author name, click the Author column. To reverse the order of the sort, click the column heading again.

To enable and disable installed extensions:

  • In the Extension Manager, select the checkbox in the On/Off column next to the extension you want to enable or disable, or select the extension and press the spacebar.

    A check mark in the On/Off column next to the extension indicates that it is enabled; if there is no check mark in the column, the extension is disabled.

If you have installed large numbers of extensions using the Extension Manager, you can selectively enable and disable them to help manage the application’s performance.

To remove an extension:

  1. In the Extension Manager, select a Macromedia application (such as Flash 8) from the pop-up menu that lists the installed programs.

    A list displaying that application’s currently installed extensions appears.

  2. Select an extension from the list of installed extensions.

    If an extension doesn’t appear in the list, you can’t remove it.

  3. Select File > Remove Extension. Confirm that you want to remove the extension by choosing Yes in the confirmation dialog box.

    The extension is removed.

Note: If you want to remove an extension that has been disabled, select File > Remove Extension. Do not manually remove extensions from the Disabled folder. If you do, the necessary changes to your configuration files will not be made.

To obtain more information about an extension, rate an extension you’ve used, or find more extensions:

  • In the Extension Manager, select File > Go to Macromedia Exchange.

The Exchange Manager starts your browser and loads the Macromedia Exchange website, where you can find information about any posted extension, rate extensions you’ve used, and search for and download a wide variety of extensions.

To package and submit a new extension:

  1. Package the extension by selecting File > Package Extension.
  2. Submit the packaged extension to the Exchange by selecting File > Submit Extension.

For more information, see Packaging and Submitting New Extensions.

Guidelines for writing and testing your extension can be found on the Macromedia Exchange website. For information on how to configure and test extensions, review the "How do I ensure that my extension will pass Macromedia testing?" section of the Macromedia Exchange site help. After you have written and tested your extension, you can package and submit it.

To obtain support information for an extension:

  1. In the Extension Manager, select File > Go to Macromedia Exchange.

    The Macromedia Exchange web page appears in your browser.

  2. In the Macromedia Exchange site, find the extension for which you would like to obtain support information and review the text under the Support Information heading.

If your issue is not mentioned or support contact information is not provided, try visiting the author's website (linked to from the extension detail view) for additional support or contact details.

Note: Many extensions are provided free of charge and their authors may have limited time to fix or respond to your issue.


Installing and managing extensions in multiuser environments

Macromedia’s latest applications allow for multiple user configurations when installed on Windows 2000, XP, and Mac OS X. This allows individual users to install and manage their own sets of extensions, and maintain individual system configurations. The Extension Manager allows the current user of the system to view only the extensions installed in the current user’s account. In addition, Dreamweaver allows an administrator to install and manage extensions for all users of a system. To accomplish this, the person must be logged in as Administrator on Windows 2000 and XP, and as "root" on Mac OS X.

The following sections describe how Dreamweaver, Fireworks, and Flash install and manage extensions in multiuser environments:

  • Understanding the configuration folders
  • Installing extensions in Dreamweaver
  • Installing extensions in Fireworks
  • Installing extensions in Flash


Understanding the configuration folders

Depending on the Macromedia application you are installing extensions into, and your user role, the Extension Manager installs extension files into different directory paths. The following examples illustrate where these files are installed for Windows XP and Mac OS X systems. If you are installing an extension on a computer using Windows 2000, refer to the documentation supplied with the operating system for information of configuration folder locations.

The examples also define the names of different configuration folders used in this documentation.

User Config folder is an application folder that is installed within the user’s application settings folder.

Windows | C:\Documents and Settings\USERNAME\Application Data\Macromedia\ APPLICATION\Configuration
Macintosh | DRIVE/Users/USERNAME/Library:Application Support/ Macromedia/APPLICATION/Configuration

App Config folder is the configuration folder that is created when an application is installed. This folder’s location can vary depending on where the user chooses to install the application, but typically is found in these standard locations.

Windows | C:\Program Files\Macromedia\APPLICATION\Configuration
Macintosh | DRIVE/Applications/Macromedia/APPLICATION/Configuration

Shared Config folder is a configuration folder in a shared directory that contains files installed by the administrative user. This folder is used on systems where the application has never been run before. Files are copied from this folder to the User Config folder the first time the application is run.

Windows | C:\Documents and Settings\All Users\Application Data\Macromedia\ APPLICATION\Configuration
Macintosh | DRIVE/Users/Shared/Library/Application Support/Macromedia/APPLICATION/Configuration


Installing extensions in Dreamweaver

When installing Dreamweaver MX 2004 or Dreamweaver 8 extensions under Windows 2000, XP, and Mac OS X, the extensions can be installed by individual users for their own use, or for all users of the system by an administrator.


Standard users

Standard users can install extensions for their individual use. These extensions cannot be managed by the administrator of the system and are only visible to the user who installed the extension. These extensions are installed in the current user’s extension directory within the User Config folder. Extensions installed in this way can only be accessed by the current user, who is not able to update the extensions of other users on the system. Standard users can install and manage extensions separately from those installed by the administrative user of a system using the Extension Manager.

When a standard user views extensions installed with the Extension Manager, the administrator installed extensions appear disabled in the Extension Manager. The standard user is not able to remove or disable these extensions.


Administrative users

Administrative users can install and manage Dreamweaver extensions for all users of the system. When an administrator installs an extension, extension files are installed into the Shared Config folder and configuration changes (for example, edits to the menus.xml file) are applied to copies of the files located in the Shared Config folder and the User Config folder for each system user. When using the Extension Manager, any changes or modifications that the administrator makes are seen by individual users as well. For example, if the administrator installs an extension and later disables that extension, it is disabled for all users of the system.

When an administrator installs an extension, the Extension Manager checks to see if any users on the system have a conflicting extension installed. If so, the administrator has the option to continue or cancel the installation. If the administrator chooses to continue, the Extension Manager uninstalls the conflicting extension and installs the new one from the administrator.

After an administrator installs the extension, the extension is not enabled when the users on the system log in as themselves. They must enable it in the Extension Manager.


Installing extensions in Fireworks

Extensions installed into Fireworks place their files (including associated MXI files) within the Fireworks App Config folder. Fireworks doesn’t distinguish between administrative users and standard users in regard to installing and managing extensions. Extensions are always managed for all users without regard to the current user.

The only instance where an administrator might be required to install an extension for a user is when the user doesn’t have sufficient permissions to install files in the Program Files folder in Windows or the Applications folder on the Macintosh. This might be the case if the user’s permissions only allow them to save files on a system, but not to install or remove applications.


Installing extensions in Flash

Extensions installed into Flash MX 2004 or Flash 8 place their files (including associated MXI files) within the current user’s Local Settings folder. The location of this folder depends on the operating system:

Windows 2000/XP | C:\Documents and Settings\USERNAME\Local Settings\Application Data\Macromedia\Flash 8\en\Configuration
Macintosh | DRIVE/Users/USERNAME/Library:Application Support/Macromedia:Flash 8/en/Configuration

Flash doesn’t distinguish between administrative users and standard users in regard to installing and managing extensions. The current user manages his or her own extensions. Extensions cannot be installed or managed from an administrative account for all users on the system.


Packaging and Submitting New Extensions

You can use the Macromedia Extension Manager to package extensions that you create before submitting them to Macromedia for distribution on the Macromedia Exchange website. After packaging an extension, test it by using the Extension Manager to install it locally. After you’re satisfied, use the Extension Manager to submit the packaged extension to Macromedia.

Here are some helpful resources for creating extensions:

  • For information on Macromedia Dreamweaver, see Extending Dreamweaver (Help > Extending Dreamweaver).
  • For information on Macromedia Flash, see Extending Flash (Help > Extending Flash).
  • For information on Macromedia Fireworks, see Extending Fireworks (Help > Extending Fireworks).
  • For the latest information regarding the testing and approval of extensions, review the "How do I ensure that my extension will pass Macromedia testing?" section of the Macromedia Exchange site help.

To package an extension:

  1. If you haven’t already done so, install the Extension Manager.
  2. Test your extension thoroughly.

    For information on how to configure and test extensions, review the "How do I ensure that my extension will pass Macromedia testing?" section of the Macromedia Exchange site help.

  3. Copy all of the files for your extension to a staging folder for ease of packaging.

    All the files don’t need to be at the same level of the folder hierarchy; you can specify a path to each file, relative to the installation file, using the <file> tag. However, it’s easier to keep track of all the files if you don’t try to package them directly from their installed locations in the Configuration folder.

  4. Create an extension installation file (a filename ending in .mxi) for your extension.

    For more information, see "The Macromedia Extension Installation File Format," which you can download from the Macromedia website at www.macromedia.com/go/em_file_format.

    You’ll find several sample extension installation files for Dreamweaver, Flash, and Fireworks in the following folders in the Extension Manager application folder: Samples/Dreamweaver, Samples/Flash, and Samples/Fireworks.

  5. In the Extension Manager, select File > Package Extension.
  6. In the file-selection dialog box that appears, browse to your extension’s installation file to select it; then click OK (Windows) or Open (Macintosh).
  7. Select a location for the package file, give it a name (ending in .mxp), and click Save.

    Note: The extension package filename must not contain spaces. It should be a filename that’s valid on both Windows and Macintosh platforms.

    The Extension Manager creates a package file containing compressed versions of all the files used by the extension, including the installation file.

  8. Test the package by installing it using the Extension Manager. After it’s installed, try the extension and make sure everything works as you intended.

To submit an extension:

  1. In the Extension Manager, select File > Submit Extension.

    The Macromedia Exchange submission page opens in your browser.

  2. Follow the instructions on the page and proceed until you receive a confirmation message.


Trademarks and Acknowledgments

Trademarks

Add Life to the Web, Afterburner, Aftershock, Andromedia, Allaire, Animation PowerPack, Aria, Attain, Authorware, Authorware Star, Backstage, Bright Tiger, Clustercats, Cold Fusion, Contribute, Design in Motion, Director, Dream Templates, Dreamweaver, Drumbeat 2000, EDJE, EJIPT, Extreme 3D, Fireworks, Flash, Fontographer, FreeHand, Generator, HomeSite, JFusion, JRun, Kawa, Know Your Site, Knowledge Objects, Knowledge Stream, Knowledge Track, LikeMinds, Lingo, Live Effects, MacRecorder Logo and Design, Macromedia, Macromedia Action!, Macromedia Flash, Macromedia M Logo & Design, Macromedia Spectra, Macromedia xRes Logo and Design, MacroModel, Made with Macromedia, Made with Macromedia Logo and Design, MAGIC Logo and Design, Mediamaker, Movie Critic, Open Sesame!, Roundtrip HTML, Shockwave, Sitespring, SoundEdit, Titlemaker, UltraDev, Web Design 101, what the web can be, and Xtra are either registered or trademarks of Macromedia, Inc. and may be registered in the United States or in other jurisdictions including internationally. Other product names, logos, designs, titles, words or phrases mentioned within this publication may be trademarks, servicemarks, or tradenames of Macromedia, Inc. or other entities and may be registered in certain jurisdictions including internationally.

Third-Party Information

This guide contains links to third-party Web sites that are not under the control of Macromedia, and Macromedia is not responsible for the content on any linked site. If you access a third-party Web site mentioned in this guide, then you do so at your own risk. Macromedia provides these links only as a convenience, and the inclusion of the link does not imply that Macromedia endorses or accepts any responsibility for the content on those third-party sites.

Third Party Software Notices and/or Additional Terms and Conditions can be found at http://www.macromedia.com/go/thirdparty/.

Opera ® browser Copyright © 1995-2002 Opera Software ASA and its suppliers. All rights reserved.

Apple Disclaimer

APPLE COMPUTER, INC. MAKES NO WARRANTIES, EITHER EXPRESS OR IMPLIED, REGARDING THE ENCLOSED COMPUTER SOFTWARE PACKAGE, ITS MERCHANTABILITY OR ITS FITNESS FOR ANY PARTICULAR PURPOSE. THE EXCLUSION OF IMPLIED WARRANTIES IS NOT PERMITTED BY SOME STATES. THE ABOVE EXCLUSION MAY NOT APPLY TO YOU. THIS WARRANTY PROVIDES YOU WITH SPECIFIC LEGAL RIGHTS. THERE MAY BE OTHER RIGHTS THAT YOU MAY HAVE WHICH VARY FROM STATE TO STATE.

Copyright © 2005 Macromedia, Inc. All rights reserved. This manual may not be copied, photocopied, reproduced, translated, or converted to any electronic or machine-readable form in whole or in part without prior written approval of Macromedia, Inc.

Acknowledgments

Project Management: Charles Nadeau

Writing: Charles Nadeau, Scott Richards

Media Production: John Francis

Macromedia, Inc.
601 Townsend St.
San Francisco, CA 94103


Using the Extension Manager

Copyright © 2000-2005 Macromedia, Inc.
All rights reserved.
Trademarks and Acknowledgments